@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;600;700&display=swap');

body {
	font-size: 14px;
	font-weight: 500;
	font-family: 'Montserrat', sans-serif;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	-webkit-font-smoothing: subpixel-antialiased;
	line-height: 22px;
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
  background: linear-gradient(180deg, rgba(117,117,117,1) 0%, rgba(170,170,170,1) 30%, rgba(170,170,170,1) 100%) no-repeat center center fixed;
  background-size: cover;
}

html {
  overflow-x: hidden !important;
}

* {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

a {
  -webkit-transition: all 0.2s linear;
  -moz-transition: all 0.2s linear;
  -o-transition: all 0.2s linear;
  transition: all 0.2s linear;
}

a:hover {
  text-decoration: none;
}

a a:focus {
  outline: none;
}

ul, ol {
  list-style: outside none none;
}

ul li, ol li {
  list-style: none;
}

p {
  margin: 0 !important;
}


/* Firefox */
* {
  scrollbar-width: auto;
  scrollbar-color: #000000 #ffffff;
}

/* Chrome, Edge, and Safari */
*::-webkit-scrollbar {
  width: 6px;
}

*::-webkit-scrollbar-track {
  background: rgba(170,170,170,1);
}

*::-webkit-scrollbar-thumb {
  background-color: #000000;
  border-radius: 12px;
  border: 3px solid #020202;
}

#side_nav {
  transition: all 0.3s;
}

.sidebar {
  background-color: black;
}

.content {
  width: 100%;
  min-height: 100vh;
}

.sidebar a {
  color: white;
}

.sidebar li.active {
  background: #eee;
  border-radius: 8px;
}

.sidebar li.active a,
.sidebar li.active a:hover {
  color: #000;
}

.sidebar li a {
  color: #fff;
}

.content {
  background-color: #0000001a;
}

@media (max-width: 767px) {
  #side_nav {
    margin-left: -235px;
    position: fixed;
    min-height: 100vh;
    z-index: 1;
  }

  #side_nav.active {
    margin-left: 0;
  }
}

.radius-top {
  border-top-right-radius: 25px;
  border-top-left-radius: 25px;
}

.radius-bottom {
  border-bottom-left-radius: 25px;
  border-bottom-right-radius: 25px;
}

.header {
  border-radius: 26px;
}

#flex-header {
  width: 95%;
}

.formBusca {
  height: 30px;
  width: 100%;
  display: inline-flex;
  align-items: center;
  position: relative;
}

.busca-width {
  width: 150%;
}

.formBusca .form-control {
  border-width: 1px !important;
  padding: 8px !important;
  height: 35px !important;
  float: left;
  background-color: #fff !important;
  color: #333 !important; 
  border-radius: 12px !important;
}

.formBusca .enviar {
  border: 0px;
  background-color: transparent !important;
  color: #eee;
  padding: 7px 12px 5px 12px;
  margin-left: 5px;
  float: left;
  border-radius: 4px !important;
}

.formBusca-feirao {
  height: 30px;
  width: 100%;
  display: inline-flex;
  align-items: center;
  position: relative;
}

.formBusca button {
  position: absolute;
  right: 10px;
}

.formBusca-feirao button {
  position: absolute;
  right: 10px;
}

.formBusca-feirao .form-control {
  border-width: 1px !important;
  padding: 5px !important;
  height: 35px !important;
  float: left;
  background-color: #fff !important;
  color: #333 !important; 
  border-radius: 12px !important;
}

.formBusca-feirao .enviar {
  border: 0px;
  background-color: transparent !important;
  color: #eee;
  padding: 7px 12px 5px 12px;
    margin-left: 5px;
    float: left;
    border-radius: 4px !important;
}

.formBusca-feirao button {
  position: absolute;
  right: 10px;
}

.product-card {
  transition: transform 0.2s ease-in-out;
}

.product-card:hover {
  transform: scale(1.05);
}

@media(min-width: 767px){
  .video-bg {
    width: 50% !important;
  }
}

.trilha {
    display: flex;
    align-items: center;
    list-style: none;
    margin: 0;
    padding: 0;
    font-size: 12px;
}

.trilha li:not(:last-child)::after {
    content: ">";
    margin: 0 10px;
}

.trilha a {
    text-decoration: none;
    color: #333;
}

.trilha a:hover {
    text-decoration: underline;
}

.divider:after,
.divider:before {
  content: "";
  flex: 1;
  height: 1px;
  background: #eee;
}

.slick-dots li button:before {
  font-size: 11px !important;
}

/* ScrollToTop */
a.back-to-top {
  display: none;
  position: fixed;
  bottom: 18px;
  left: 15px;
  text-decoration: none;
}

a.back-to-top i {
  display: block;
  font-size: 22px;
  width: 40px;
  height: 40px;
  line-height: 40px;
  color: #fff;
  background: #3C3E9D;
  border-radius: 30px;
  text-align: center;
  transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  -webkit-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
  box-shadow: 0 0 4px rgba(0, 0, 0, 0.14), 0 4px 8px rgba(0, 0, 0, 0.28);
}

a.back-to-top:hover, a.back-to-top:focus {
  text-decoration: none;
}

.relacionados-carousel .slick-prev {
  background-image: initial !important;
  background-repeat: no-repeat !important;
}

.relacionados-carousel .slick-next {
  background-image: initial !important;
  background-repeat: no-repeat !important;
  rotate: initial !important;
}

/* definir imagem de fundo personalizada para back-topas setas */
.slick-prev {
  background-image: url('data:image/svg+xml,%3Csvg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 30 30" width="30" height="30"%3E%3Cpath d="M9 1l-8 8 8 8" stroke="%23000" stroke-width="2" fill="none" stroke-linecap="round" stroke-linejoin="round"%3E%3C/path%3E%3C/svg%3E') !important;
  background-repeat: no-repeat !important;
}

.slick-next {
  background-image: url('data:image/svg+xml,%3Csvg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 30 30" width="30" height="30"%3E%3Cpath d="M9 1l-8 8 8 8" stroke="%23000" stroke-width="2" fill="none" stroke-linecap="round" stroke-linejoin="round"%3E%3C/path%3E%3C/svg%3E') !important;
  background-repeat: no-repeat !important;
  transform: rotate(180deg) !important;
}

/* esconder texto das setas */
.slick-prev:before, .slick-next:before {
  display: none !important;
}

.swal2-modal-custom {
  z-index: 9999;
}

.stepper {
  display: flex;
  justify-content: space-between;
}

.step {
  flex: 1;
  padding: 10px;
  background-color: #f1f1f1;
}

.step.active {
  background-color: #5355A9;
  color: #fff;
}

/* Preloader 2 */
#preloader2 {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0,0,0, 0.98);
  z-index: 9999999;
}

.loader2 {
  top: 50%;
  width: 50px;
  height: 50px;
  /* border-radius: 100%; */
  position: relative;
  margin: 0 auto;
}

/* #loader-2:before, #loader-2:after {
  content: "";
  position: absolute;
  top: -10px;
  left: -10px;
  width: 100%;
  height: 100%;
  border-radius: 100%;
  border: 7px solid transparent;
  border-top-color: #17d6b0;
}

#loader-2:before {
  z-index: 100;
  animation: spin 1s infinite;
}

#loader-2:after {
  border: 7px solid #f2f2f2;
} */

@keyframes spin {
  0% {
      -webkit-transform: rotate(0deg);
      -ms-transform: rotate(0deg);
      -o-transform: rotate(0deg);
      transform: rotate(0deg);
  }
  100% {
      -webkit-transform: rotate(360deg);
      -ms-transform: rotate(360deg);
      -o-transform: rotate(360deg);
      transform: rotate(360deg);
  }
} 

.dot-flashing {
  position: relative;
  width: 10px;
  height: 10px;
  border-radius: 5px;
  background-color: #9880ff;
  color: #9880ff;
  animation: dot-flashing 1s infinite linear alternate;
  animation-delay: 0.5s;
  }
  .dot-flashing::before, .dot-flashing::after {
  content: "";
  display: inline-block;
  position: absolute;
  top: 0;
}
.dot-flashing::before {
  left: -15px;
  width: 10px;
  height: 10px;
  border-radius: 5px;
  background-color: #9880ff;
  color: #9880ff;
  animation: dot-flashing 1s infinite alternate;
  animation-delay: 0s;
}
.dot-flashing::after {
  left: 15px;
  width: 10px;
  height: 10px;
  border-radius: 5px;
  background-color: #9880ff;
  color: #9880ff;
  animation: dot-flashing 1s infinite alternate;
  animation-delay: 1s;
}

@keyframes dot-flashing {
0% {
  background-color: #9880ff;
}
50%, 100% {
  background-color: rgba(152, 128, 255, 0.2);
}
}